/*
		QEAE.h for C and Rez (as a information for programmers)
			Type declarations of Apple Events
				defined in QEdit version 0.2.7
				not defined in the Standard Suites
					August, 1997

		Copyright Lyomei Sakai 1996-1997 All rights reserved.
*/



/* suite code, event class */
#define kAEQEdit 'QEdt'

/* event IDs */
#define kAEInsert 'insr'
#define kAEFind 'Find'
#define kAEReplace 'Rep '
#define kAEReplaceAll 'RepA'
#define kAESpeak 'spk '
#define kAETransliterate 'Trl '

/* keywords, types */
#define typeYesOrNo 'YorN'				// new in 0.2.6a
#define keyAEFindDirection 'fDir'
#define typeAEFindDirection 'fDir'
#define keyAEExtendSelection 'ExS '		// new in 0.2.6a
#define keyAESelectDest 'SDst'			// new in 0.2.6a
#define keyAETlTargetFormat 'TlTf'
#define typeTlTargetFormat 'TlTf'
#define keyAETlTargetModifier 'TlTM'
#define typeTlTargetModifier 'TlTM'
#define keyAETlSourceMask 'TlSM'
#define typeTlSourceMask 'TlSM'

/* class */
#define cByte 'byt '

/* properties */
#define pDialogBoxOpen 'pDBO'		// new in 0.2.7
#define pInverted 'pInv'
#define pMeshed 'pMsh'
#define pShowLocation 'pShL'
#define pShowCode 'pShC'
#define pShowReturns 'pShR'
#define pShowTabs 'pShT'
#define pAutoIndent 'pAIn'
#define pCaretSpeed 'pCSp'			// new in 0.2.7
#define pSearchString 'pSSt'
#define pReplaceString 'pRSt'
#define pCaseSensitive 'pCSv'
#define pEntireWord 'pEWd'
#define pSpeaking 'pSpn'
#define pPausing 'pPau'
#define pFontID 'pfid'
#define pLeading 'plht'
#define pTabWidth 'pTbW'
#define pPosition 'ppos'
#define pBoundsSize 'pBSz'			// new in 0.2.7
#define pPrintHeader 'pPrH'		// in v0.2.5, modified from 'pprh'
#define pPrintFooter 'pPrF'		// in v0.2.5, modified from 'pprf'
#define pPrintReturns 'pPrR'	// in v0.2.5, modified from 'pprr'
#define pPrintTabs 'pPrT'
#define pOffset 'ofse'
#define pCharacterCode 'pCCd'
#define pHowManyChars 'pHMC'
#define pHowManyParas 'pHMP'
#define pHowManyWords 'pHMW'

/* enumerators */
#define kAEForward 'Fw  '
#define kAEBackward 'Bw  '
#define kAERoman 'Rm  '
#define kAENative 'Natv'
#define kAERoman1 'Rm1 '
#define kAERoman2 'Rm2 '
#define kAEKatakana1 'KK1 '
#define kAEKatakana 'KK2 '
#define kAEHiragana 'HG2 '
#define kAEHangul 'Hg2 '
#define kAEJamo 'Jm2 '
#define kAEBopomofo 'Bp2 '
#define kAEUppercase 'uppc'	// somehow only kAELowercase is defined in the standard.

/*
 Event class of select event is kAEMiscStandards. <- Winter 1992 Apple Event Registry Errata
 I tried to include uppercases in constants defined in QEdit v0.2.5 and later versions.
 If corresponding constants are added to the standards in the future, I may use the standards.
*/
